ldns_radix_array_t Struct Reference

Radix node select edge array. More...

`#include <radix.h>`

## Data Fields

uint8_t * | str
| Additional string after the selection byte for this edge.
radix_strlen_t | len
| Length of additional string for this edge.
ldns_radix_node_t * | edge
| Node that deals with byte+str.

## Detailed Description

Radix node select edge array.

Definition at line 58 of file radix.h.

## Field Documentation

## str

uint8_t* ldns_radix_array_t::str

Additional string after the selection byte for this edge.

Definition at line 60 of file radix.h.

## len

radix_strlen_t ldns_radix_array_t::len

Length of additional string for this edge.

Definition at line 62 of file radix.h.

## edge

ldns_radix_node_t* ldns_radix_array_t::edge

Node that deals with byte+str.

Definition at line 64 of file radix.h.